Bug 1342897 (CVE-2016-2830) - CVE-2016-2830 Mozilla: Favicon network connection persists when page is closed (MFSA 2016-62)
Summary: CVE-2016-2830 Mozilla: Favicon network connection persists when page is close...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-2830
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-06-06 04:17 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:30:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC

Description Huzaifa S. Sidhpurwala 2016-06-06 04:17:17 UTC
Security researcher Toni Huttunen reported that once the favicon is requested from a site, the favicon network connection will persist even when the page is later closed. This allows a malicious site to continue to use this channel to send requests to the browser, leading to potential information disclosure, such as the IP address of the user. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-63.html


Acknowledgements:

Name: the Mozilla project
Upstream: Toni Huttunen

Comment 3 errata-xmlrpc 2016-08-03 08:07:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html


Note You need to log in before you can comment on or make changes to this bug.